Subject: [SIP] SIP->XML->SOAP

From: "Fox, Mike" <[email-masked]>
Date: Fri, 16 Jun 2000 10:46:25 -0700

I agree. I believe (SIP -> XML) -> SOAP(like)HTTP is unstoppable. OSP and
IMPP require XML awareness in SIP devices, so the door has already been
opened for XML convergence of the SIP domain. HTTP is the Internet
Application Protocol. The problems of HTTP using TCP can be fixed with SCTP
(I hope!). Of course this will take some time (12+ months).

Shouldn't this be the direction of SIP?
Comments?

Mike Fox

> -----Original Message-----
> From: Neil Deason [mailto:[email-masked]]
> Sent: Friday, June 16, 2000 1:55 AM
> To: Fox, Mike
> Cc: Jonathan Rosenberg; sip
> Subject: Re: [SIP] RE: proposal for IMPP
> 
> 
> "Fox, Mike" wrote:
> > 
> > Why stop at XML for IMPP? Why not XML for SIP? Simple 
> Object Access Protocol
> > may be the right way. Call it SIP Control by Unified Methods.
> > 
> > SOAP SCUM
> 
> All joking aside, SOAP within SIP is already possible as it is
> just a 
> text/html payload. As SOAP has been designed with HTTP as the
> base 
> transport using SIP instead, with it's HTTP ancestry, is straight
> forward. 
> Perhaps the flexibility and extensibility of SOAP could be an
> alternative 
> to some of the more proprietary/out of SIP's solution space
> method/headers extensions.
> 
> Cheers,
> Neil.
> -- 
> Ubiquity Software Corporation, UK          
> http://www.ubiquity.net
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip